package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import com.gic.haoban.manage.api.dto.HelpDTO;
import com.gic.haoban.manage.service.entity.TabHaobanHelp;
import com.github.pagehelper.Page;

public interface TabHaobanHelpMapper {
    int deleteByPrimaryKey(String helpId);

    int insert(TabHaobanHelp record);

    int insertSelective(TabHaobanHelp record);

    TabHaobanHelp selectByPrimaryKey(String helpId);

    int updateByPrimaryKeySelective(TabHaobanHelp record);

    int updateByPrimaryKey(TabHaobanHelp record);
    
    Page<HelpDTO> pageList();
    
    TabHaobanHelp selectByHelpTitle(String helpTitle);
    
    List<TabHaobanHelp> getList();
}